Zum Inhalt springen
meniodevelopermenio DashboardVorschau

POST refunds · Checkout API

POST refunds

Checkout API Profiles
POST/api/v1/profiles/{reference}/balance/refunds

[Coming soon] Postponement support.

Creates a new balance refund.

Parameter

referencestringErforderlich

The unique token identifier or an OTP of the profile.

Request-Header

Content-Type
application/json; charset=utf-8
Authorization
Token <accessToken>
Idempotency-Key
<idempotencyKey>
Security-Token
<securityToken>
Timestamp
<timestamp>
Originaler Blueprint-Ausschnitt
API Blueprint
### POST refunds [POST /api/v1/profiles/{reference}/balance/refunds]

Creates a new balance refund.

+ Parameters
    + reference (string, required) - The unique token identifier or an OTP of the profile.

+ Request (application/json; charset=utf-8)

    + Headers

            Authorization: Token <accessToken>
            Idempotency-Key: <idempotencyKey>
            Security-Token: <securityToken>
            Timestamp: <timestamp>
            
    + Attributes (object)
        + amount: 195 (number, required) - The amount to be refunded to the profile's balance, expressed in the currency's minor unit.
        + currency: EUR (string, required) - The currency of the amount to be refunded to the profile's balance.

    + Body

            {
                "amount": 195,
                "currency": "EUR"
            }
            
    + Schema

            {
                "type": "object",
                "properties": {
                    "amount": {
                        "type": "number"
                    },
                    "currency": {
                        "type": "string"
                    }
                }
            }
            
+ Response 200 (application/json; charset=utf-8)

    + Attributes (object)
        + oldAmount: 855 (number, required) - The old amount before making the refund request, expressed in the currency's minor unit.
        + newAmount: 1050 (number, required) - The new amount after making the refund request, expressed in the currency's minor unit.
        + currency: EUR (string, required) - The currency of the amounts.

    + Body

            {
                "oldAmount": 855,
                "newAmount": 1050,
                "currency": "EUR"
            }
            
    + Schema

            {
                "type": "object",
                "properties": {
                    "oldAmount": {
                        "type": "number"
                    },
                    "newAmount": {
                        "type": "number"
                    },
                    "currency": {
                        "type": "string"
                    }
                }
            }